Create an Order
Tokenize or Redeem stablecoin tokens between your own bank accounts and wallets.
TOKENIZEorders convert fiat funds to stablecoin tokens.REDEEMorders convert stablecoin tokens back to fiat funds.
Orders are for tokenizing or redeeming stablecoin tokens, solely between Minteo and you as the Customer, not from or to third parties. That is, the funds to be tokenized come strictly from a Customer's bank account, or the tokens to be redeemed come exclusively from a Customer's wallet.
To send funds to third parties' bank accounts, see Payouts. To tokenize funds from third parties' bank accounts, see Payins.
- Production
- Sandbox
curl -X POST 'https://api.minteo.finance/v1/orders' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "type": "TOKENIZE", "amount": "50000", "origin_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "destination_source_id": "ffdda2d3-4278-45ac-b244-8499dc1a8906", "external_identifier": "bc03a2173a2890", "origin_funding_data": { "deposit_originated_at": "2023-08-01" }}'curl -X POST 'https://api.sandbox.minteo.finance/v1/orders' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "type": "TOKENIZE", "amount": "50000", "origin_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "destination_source_id": "ffdda2d3-4278-45ac-b244-8499dc1a8906", "external_identifier": "bc03a2173a2890", "origin_funding_data": { "deposit_originated_at": "2023-08-01" }}'{ "output": { "id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "status": "PENDING", "amount": "50000", "type": "TOKENIZE", "created_at": "2023-11-04T01:35:34.165Z", "updated_at": "2023-11-04T01:35:34.165Z", "origin_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "destination_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "activities": [ { "type": "SETTLE_ORDER", "status": "PENDING", "last_update_at": "2023-11-04T01:35:34.162Z" } ], "status_code": null, "chain": "POLYGON", "public_data": { "deposit_originated_at": "2023-11-13T00:00:00.000Z" }, "external_identifier": "bc03a2173a2890", "effective_amount": "50000" }, "code": "OK"}Endpoint
/v1/ordersScope
orders:create
Request
Request Body
typeTOKENIZE | REDEEMType of order to be created. TOKENIZE for tokenization of funds into stablecoin tokens. REDEEM for redemption of stablecoin tokens back into funds.
amountstringAmount of funds to tokenize or tokens to be redeemed. Make sure to use a string, not a number, to avoid precision issues.
Minimum amount for COPM: 10,000 COP (applies to both TOKENIZE and REDEEM orders).
origin_source_iduuidTOKENIZE orders: ID of the origin bank account where funds are coming from.
REDEEM orders: ID of the wallet where tokens are coming from.
destination_source_iduuidTOKENIZE orders: ID of the destination wallet where tokens will be sent.
REDEEM orders: ID of the destination bank account where funds will be sent.
external_identifierstringA unique identifier of the order in your own system (database ID, etc.).
origin_funding_dataJSONThe origin funding data. Only required for TOKENIZE orders.
TOKENIZE Example Body
{ "type": "TOKENIZE", "amount": "1225000.50", "origin_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "destination_source_id": "ffdda2d3-4278-45ac-b244-8499dc1a8906", "external_identifier": "bc03a2173a2890", "origin_funding_data": { "deposit_originated_at": "2023-08-01" }}REDEEM Example Body
{ "type": "REDEEM", "amount": "865000.72", "origin_source_id": "ffdda2d3-4278-45ac-b244-8499dc1a8906", "destination_source_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "external_identifier": "a834f20c2812983"}Response
outputOrderThe order created.
codestringThe response status code text.